# Bio-SPARQL-client
# 
# Copyright (C) 2015
#
# author: Natapol Pornputtapong <natapol@chalmers.se>
#
# Documentation: Natapol Pornputtapong (RDoc'd and embellished by William Webber)
#

# raise "Please, use ruby 1.9.0 or later." if RUBY_VERSION < "1.9.0"


$: << File.join(File.expand_path(File.dirname(__FILE__)))

#Internal library
require 'open-uri'
require 'json'
require 'i18n'

#External library
#require 'bio-vcf'
require 'bio'
require 'sparql'
require 'sparql/client'


require 'bio-sparql-client/term.rb'
require 'bio-sparql-client/chembl.rb'
require 'bio-sparql-client/reactome.rb'
require 'bio-sparql-client/uniprot.rb'
require 'bio-sparql-client/kegg.rb'
require 'bio-sparql-client/identifiers.rb'
require 'bio-sparql-client/bioportal.rb'

I18n.enforce_available_locales = false

#library

module BSPARQLCLI
    
end
