# Bio-SPARQL-client
# 
# Copyright (C) 2015
#
# author: Natapol Pornputtapong <natapol@chalmers.se>
#
# Documentation: Natapol Pornputtapong (RDoc'd and embellished by William Webber)
#

module BSPARQLCLI
    
    class Reactome < SPARQL::Client
        
        ENDPOINT = 'http://www.ebi.ac.uk/rdf/services/reactome/sparql'
        
        def initialize()
            super(ENDPOINT)
        end
        
    end
end

#sparql = BSPARQLCLI::Reactome.new()
#query = sparql.select(:pathway, :pathwayname).distinct().where(
#    [:pathway, RDF::RDF22['type'], RDF::BIOPAX3['Pathway']],
#    [:pathway, RDF::BIOPAX3['displayName'], :pathwayname],
#    [:pathway, RDF::BIOPAX3['organism'], RDF::URI.new("http://identifiers.org/taxonomy/9606")]
#).limit(10)
#
#puts query.inspect
#
#query.each_solution do |solution|
#  puts solution.inspect
#end